package com.unipi.talepis.android2022_10;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.view.View;
import android.widget.EditText;

import com.android.volley.Request;
import com.android.volley.RequestQueue;
import com.android.volley.Response;
import com.android.volley.VolleyError;
import com.android.volley.toolbox.JsonObjectRequest;
import com.android.volley.toolbox.Volley;

import org.json.JSONException;
import org.json.JSONObject;

public class MainActivity extends AppCompatActivity {
    EditText output;
    RequestQueue requestQueue;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        output = findViewById(R.id.editTextTextMultiLine);
        requestQueue = Volley.newRequestQueue(this);
    }
    public void go1(View view){
        String url = "http://10.0.2.2:8080/find/2";
        JsonObjectRequest jsonObjectRequest =
                new JsonObjectRequest(Request.Method.GET, url,
                        null, new Response.Listener<JSONObject>() {
                    @Override
                    public void onResponse(JSONObject response) {
                        try {
                            output.setText(response.getString("title"));
                        } catch (JSONException e) {
                            e.printStackTrace();
                        }
                    }
                }, new Response.ErrorListener() {
                    @Override
                    public void onErrorResponse(VolleyError error) {
                        output.setText(error.getLocalizedMessage());
                    }
                });
        requestQueue.add(jsonObjectRequest);
    }
    public void go2(View view){
        String url = "http://10.0.2.2:8080/newRating";
        JSONObject body = new JSONObject();
        try {
            body.put("title","Interstellar");
            body.put("director","Christofer Nolan");
            body.put("rating",8.6);
            body.put("year",2014);
        } catch (JSONException e) {
            e.printStackTrace();
        }
        JsonObjectRequest postRequest = new JsonObjectRequest(Request.Method.POST,
                url, body, new Response.Listener<JSONObject>() {
            @Override
            public void onResponse(JSONObject response) {
                try {
                    output.setText(String.valueOf(response.getInt("id")));
                } catch (JSONException e) {
                    e.printStackTrace();
                }
            }
        }, new Response.ErrorListener() {
            @Override
            public void onErrorResponse(VolleyError error) {
                output.setText(error.getLocalizedMessage());
            }
        });
        requestQueue.add(postRequest);
    }
}